masakari (18.0.0~rc1-0ubuntu1) oracular; urgency=medium

  [ James Page ]
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.

  [ Myles Penner ]
  * New upstream release candidate for OpenStack Dalmatian.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 26 Sep 2024 09:26:30 +0100

masakari (17.0.0+git2024080715.d6bd0ae-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian. 

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 15:24:18 +0100

masakari (17.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:31:53 +0100

masakari (17.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.
  * d/p/py312-compat.patch: Drop, included upstream.

 -- Jadon Naas <jadon.naas@canonical.com>  Thu, 21 Mar 2024 08:08:13 +0000

masakari (16.0.0+git2024011916.229bc787-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-compatability-with-new-oslo.messaging.patch: Drop, included
    upstream.
  * d/p/py312-compat.patch: Fix test that fails under Python 3.12 due to
    syntax error in test code.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jan 2024 16:33:30 +0000

masakari (16.0.0-0ubuntu2) mantic; urgency=medium

  * d/p/install-missing-db-files.patch: Install missing db files, including
    masakari/db/sqlalchemy/migrate_repo/ files.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Oct 2023 12:52:42 -0400

masakari (16.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * d/p/fix-compatability-with-new-oslo.messaging.patch: Cherry-picked
    from upstream to align with new oslo.messaging.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 13:24:34 -0400

masakari (15.0.0+git2023071214.bad1f2fe-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:34:26 -0400

masakari (15.0.0+git2023061415.c6afc1bc-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:08:14 -0400

masakari (15.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:50:16 -0400

masakari (14.0.2+git2023030309.3e1b8513-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:28:44 -0500

masakari (14.0.2+git2023011010.324fe6e6-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:02:27 -0500

masakari (14.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 14.x.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:18:48 -0400

masakari (13.0.0+git2022091213.6773fa9-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:14:56 -0400

masakari (13.0.0+git2022071414.c3fc0c2-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/masakari-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:14:02 -0400

masakari (13.0.0+git2022060212.c3fc0c2-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 12:48:35 -0400

masakari (13.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 13.x.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 20:59:10 -0400

masakari (12.0.0+git2022030313.1a67234-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:51:47 -0500

masakari (12.0.0+git2021120910.6a15818-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:57:58 -0500

masakari (12.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 12.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 07:32:41 +0000

masakari (11.0.1+git2021090814.8f1da00-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:57 +0000

masakari (11.0.0+git2021072117.f2e830f-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:06:09 -0400

masakari (11.0.0+git2021061112.1ed2b1f-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:42 +0000

masakari (11.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 14:46:11 +0000

masakari (11.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 11.x series
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 02 Apr 2021 09:26:14 +0000

masakari (10.0.0+git2021012507.67f9212-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:06:20 +0000

masakari (10.0.0+git2020120911.329b9fe-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 12:00:02 -0500

masakari (10.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 08:18:22 -0400

masakari (10.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * d/watch: Scope to 10.x series.
  * New upstream release candidate for OpenStack Victoria (LP: #1773765).
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed in rc1.
  * d/p/allow-bare-hostnames.patch: Dropped. Alternative patch merged in rc1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Oct 2020 13:20:37 -0400

masakari (10.0.0~b3~git2020091407.ee48dc2-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/python3.8-compat.patch: Removed because it is fixed upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 07:18:38 +0000

masakari (10.0.0~b2~git2020073107.9492987-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 31 Jul 2020 07:49:47 +0000

masakari (10.0.0~b1~git2020070209.f604703-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 09:36:59 -0400

masakari (9.0.0-0ubuntu3) groovy; urgency=medium

  * d/control, d/py3dist-overrides: Drop (Build-)Depends on
    universe package python3-sqlalchemy-utils. This was added in
    9.0.0 but only needed for upstream devstack gate job.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 19 May 2020 13:00:30 -0400

masakari (9.0.0-0ubuntu2) groovy; urgency=medium

  * d/p/series: Add monkey-patch-original-current-thread.patch.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 May 2020 08:59:50 -0400

masakari (9.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728104/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 9.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 14 May 2020 14:45:07 +0000

masakari (9.0.0~b3~git2020041013.94ec959-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/masakari-common.postinst.in: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:13:43 -0400

masakari (9.0.0~b3~git2020032617.953e1d8-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/masakari-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).
  * d/p/drop-sqla-utils.patch: Dropped. No longer needed.
  * d/p/python3.8-compat.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 17:04:07 -0400

masakari (9.0.0~b2~git2020020609.8b122a8-0ubuntu4) focal; urgency=medium

  * d/*: wrap-and-sort -bast.
  * d/control,d/p/drop-sqla-utils.patch: Drop use of SQLAlchemy-Utils in
    preference for SQLAlchemy.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Mar 2020 12:18:22 +0000

masakari (9.0.0~b2~git2020020609.8b122a8-0ubuntu3) focal; urgency=medium

  * d/masakari-common.postinst: Correct chmod->chown call for ownership
    of sqlite db file if found on the local filesystem.

 -- James Page <james.page@ubuntu.com>  Tue, 25 Feb 2020 10:05:36 +0000

masakari (9.0.0~b2~git2020020609.8b122a8-0ubuntu2) focal; urgency=medium

  * d/p/allow-bare-hostnames.patch: Cherry pick inflight fix to allow use of
    bare hostnames when adding hosts to segments (LP: #1839715).
  * d/p/python3.8-compat.patch,skip-py38-failures.patch: Drop skip patch and
    pick proposed fixes for Python 3.8 compatibility (LP: #1860265).
  * d/rules: Ensure Python doctree's are not included in binary packages.
  * d/control: Tidy lintian warnings with regards to package long
    descriptions.

 -- James Page <james.page@ubuntu.com>  Mon, 17 Feb 2020 16:22:28 +0000

masakari (9.0.0~b2~git2020020609.8b122a8-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 06 Feb 2020 10:52:13 +0100

masakari (9.0.0~b1~git2019121615.596b3d1-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream
  * d/rules: Swith to pybuild
  * d/control: Drop. Dropped py2 support.
  * d/rules: Switch to pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.
  * d/p/skip-py38-failures.patch: Skip py38 failures until fixed
    upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 16 Dec 2019 16:36:35 +0100

masakari (8.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:29:45 +0100

masakari (8.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.

  [ Corey Bryant ]
  * d/p/skip-tests.patch: Dropped. No longer needed.
  * d/watch: Scope to 8.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 15:41:49 -0400

masakari (8.0.0~b2~git2019073018.204fa9c-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:36:31 +0200

masakari (8.0.0~b1~git2019061718.e8a18ee-0ubuntu1) eoan; urgency=medium

  * New upstream release 8.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 19 Jun 2019 11:20:06 +0100

masakari (7.0.0-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/control: Set source package Section to net, fixing
    binary-control-field-duplicates-source lintian tag.

  [ James Page ]
  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:22:35 +0100

masakari (7.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.
  * d/p/py3-ensure-wsgi-headers-are-not-bytes-type.patch: Dropped. Fixed
    in upstream release candidate.
  * d/p/skip-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 13:27:26 -0400

masakari (7.0.0~b1-0ubuntu2) disco; urgency=medium

  * d/masakari-common.postinst: Change /etc/masakari to 0750 root:masakari.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Feb 2019 08:23:56 -0500

masakari (7.0.0~b1-0ubuntu1) disco; urgency=medium

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Feb 2019 14:19:29 -0500
